Bug 246195 - New port: sysutils/xpipe Split input and feed it into the given utility
Summary: New port: sysutils/xpipe Split input and feed it into the given utility
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Tagato
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-04 21:12 UTC by jjuanino
Modified: 2020-05-20 09:24 UTC (History)
1 user (show)

See Also:


Attachments
Shar file (1.91 KB, text/plain)
2020-05-04 21:12 UTC, jjuanino
no flags Details
Shar file (1.91 KB, patch)
2020-05-17 13:14 UTC, jjuanino
jjuanino: maintainer-approval+
Details | Diff
Shar file (2.31 KB, patch)
2020-05-19 17:03 UTC, jjuanino
jjuanino: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jjuanino 2020-05-04 21:12:36 UTC
Created attachment 214126 [details]
Shar file

Hi, I submit a port with a powerful unix command pretty similar to the combination of xargs and split ones. Regards
Comment 1 Hiroki Tagato freebsd_committer 2020-05-14 08:43:23 UTC
Hi,

Can you use DISTVERSION prefixed with 'g'?

Please refer to Example 5.13 of Porter's Handbook:
https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/makefile-distfiles.html
Comment 2 jjuanino 2020-05-17 13:14:16 UTC
Created attachment 214585 [details]
Shar file

Hi Hiroki, thanks for your feedback, I really appreciate it. I submit a new shar file with your suggestions. Regards.
Comment 3 Hiroki Tagato freebsd_committer 2020-05-19 11:33:29 UTC
Hi, thanks for updating the shar file.

I would like to ask you to make some changes.

- Respect CFLAGS
${WRKSRC}/Makefile absolutely specifies CFLAGS like:

CFLAGS= -g -Wall -Werror -Wextra

This is not allowed according to:
https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/dads-cflags.html

So please patch the Makefile to change CFLAGS like:

CFLAGS+= -Wall -Werror -Wextra

- GH_PROJECT
The default is ${PORTNAME}. So you don't have to manually specify GH_PROJECT. The comment "Keep in sync with PORTVERSION" appears a bit obvious and seems not necessary.

- Manual installation path
Install man files under ${PREFIX}/share/man. Refer to:

20200115 entry of ${PORTSDIR}/CHANGES
Comment 4 jjuanino 2020-05-19 17:03:28 UTC
Created attachment 214652 [details]
Shar file

Hi, I submit a new shar file according to your suggestions. Thanks for your support, regards
Comment 5 commit-hook freebsd_committer 2020-05-20 09:22:53 UTC
A commit references this bug:

Author: tagattie
Date: Wed May 20 09:21:58 UTC 2020
New revision: 535986
URL: https://svnweb.freebsd.org/changeset/ports/535986

Log:
  The xpipe command reads input from stdin and splits it by the given number of
  bytes, lines, or if matching the given pattern. It then invokes the given
  utility repeatedly, feeding it the generated data chunks as input. You can
  think of it as a Unix love-child of the split(1), tee(1), and xargs(1)
  commands.

  WWW: https://github.com/jschauma/xpipe

  PR:		246195
  Submitted by:	jjuanino@gmail.com
  Approved by:	ehaupt (mentor)

Changes:
  head/sysutils/Makefile
  head/sysutils/xpipe/
  head/sysutils/xpipe/Makefile
  head/sysutils/xpipe/distinfo
  head/sysutils/xpipe/files/
  head/sysutils/xpipe/files/patch-Makefile
  head/sysutils/xpipe/pkg-descr
Comment 6 Hiroki Tagato freebsd_committer 2020-05-20 09:24:03 UTC
Committed, thanks!